org.richfaces.fragment.messages

## Class RichFacesMessages

- java.lang.Object
- - org.richfaces.fragment.list.AbstractListComponent<RichFacesMessages.MessageImpl>
  - - org.richfaces.fragment.messages.RichFacesMessages

- All Implemented Interfaces:
    AdvancedInteractions<Messages.AdvancedMessagesInteractions>, ListComponent<RichFacesMessages.MessageImpl>, Messages<RichFacesMessages.MessageImpl>

      public class RichFacesMessages
      extends AbstractListComponent<RichFacesMessages.MessageImpl>
      implements Messages<RichFacesMessages.MessageImpl>, AdvancedInteractions<Messages.AdvancedMessagesInteractions>

  Component for rich:messages.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesMessages.AdvancedMessagesInteractionsImpl`
    `static class` | `RichFacesMessages.MessageImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.messages.Messages

      `Messages.AdvancedMessagesInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesMessages.AdvancedMessagesInteractionsImpl` | `advanced()`
    `List<? extends Message>` | `getItems(Message.MessageType type)` Gets multiple messages which have given `type`.``

    - ### Methods inherited from class org.richfaces.fragment.list.AbstractListComponent

      `getItem, getItem, getItem, getItems, getItems, getItemsElements, getItemsFragments, getListItemClass, getRootElement, instantiateFragments, instantiateItemFragment, isEmpty, isVisible, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.list.ListComponent

      `getItem, getItem, getItem, getItems, getItems, getRootElement, isEmpty, size`

- - ### Constructor Detail

    - #### RichFacesMessages

          public RichFacesMessages()

  - ### Method Detail

    - #### advanced

          public RichFacesMessages.AdvancedMessagesInteractionsImpl advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<Messages.AdvancedMessagesInteractions>`

    - #### getItems

          public List<? extends Message> getItems(Message.MessageType type)

      Description copied from interface: `Messages`
      Gets multiple messages which have given `type`.``
      Specified by:
        `getItems` in interface `Messages<RichFacesMessages.MessageImpl>`
      Parameters:
        `type` - the message type (its severity) to determine which messages to return
      Returns:
        all messages with given type

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.